Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdTriangleSelectionStream Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
RtDWORD | GetNumTriangleSelectionWeights (void)
HRESULT | SetNumTriangleSelectionWeights ([in] RtDWORD dwNumTriangleSelectionWeights)
HRESULT | weight ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | weight ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | orgelementtype ([in] RtDWORD dwIndex,[out, retval] RtBYTE *pVal)
HRESULT | orgelementtype ([in] RtDWORD dwIndex,[in] RtBYTE newVal)
HRESULT | orgelementindex ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | orgelementindex ([in] RtDWORD dwIndex,[in] RtUlong newVal)

## Detailed Description

IRdTriangleSelectionStream holds slection information and lookup tables for meshes triangles. Elements are stored in RtTriangleSelectionWeight structure.

The stream is part of IRdMesh and is stored in Vertex stream group. Stream is identified by STREAMID_TRIANGLE_SEL_WEIGHTS id.

## Member Function Documentation

RtDWORD IRdTriangleSelectionStream::GetNumTriangleSelectionWeights | ( | void |  | ) |

| Get number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleSelectionStream::SetNumTriangleSelectionWeights | ( | [in] RtDWORD | dwNumTriangleSelectionWeights | ) |

| Set number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleSelectionStream::weight | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

| Get weight of i-th triangle Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleSelectionStream::weight | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

| Set weight of i-th triangle Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleSelectionStream::orgelementtype | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtBYTE * | pVal
| ) |

| Get previous element type of i-th triangle. Type is defined by RtOrgElementTypes enum. Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleSelectionStream::orgelementtype | ( | [in] RtDWORD | dwIndex,
|  | [in] RtBYTE | newVal
| ) |

| Set previous element type of i-th triangle. Type is defined by RtOrgElementTypes enum. Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleSelectionStream::orgelementindex | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

| Get previous index of i-th triangle Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTriangleSelectionStream::orgelementindex | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

| Set previous index of i-th triangle Returns: standard HRESULT processing can be applied to returned value